Bug 1293775 - [abrt] remmina: g_type_check_instance_cast(): remmina killed by SIGSEGV
[abrt] remmina: g_type_check_instance_cast(): remmina killed by SIGSEGV
Status: CLOSED CANTFIX
Product: Fedora
Classification: Fedora
Component: remmina (Show other bugs)
23
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Pavel Alexeev
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:055c53e3e4bece76a4a67e078bc...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-12-22 23:02 EST by Oleg R. Dubovko
Modified: 2016-03-18 14:22 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-01-05 16:20:59 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (39.89 KB, text/plain)
2015-12-22 23:02 EST, Oleg R. Dubovko
no flags Details
File: cgroup (190 bytes, text/plain)
2015-12-22 23:02 EST, Oleg R. Dubovko
no flags Details
File: core_backtrace (16.47 KB, text/plain)
2015-12-22 23:02 EST, Oleg R. Dubovko
no flags Details
File: dso_list (12.01 KB, text/plain)
2015-12-22 23:02 EST, Oleg R. Dubovko
no flags Details
File: environ (1.60 KB, text/plain)
2015-12-22 23:02 EST, Oleg R. Dubovko
no flags Details
File: limits (1.29 KB, text/plain)
2015-12-22 23:02 EST, Oleg R. Dubovko
no flags Details
File: maps (58.69 KB, text/plain)
2015-12-22 23:02 EST, Oleg R. Dubovko
no flags Details
File: mountinfo (3.60 KB, text/plain)
2015-12-22 23:02 EST, Oleg R. Dubovko
no flags Details
File: namespaces (85 bytes, text/plain)
2015-12-22 23:02 EST, Oleg R. Dubovko
no flags Details
File: open_fds (2.43 KB, text/plain)
2015-12-22 23:02 EST, Oleg R. Dubovko
no flags Details
File: proc_pid_status (1010 bytes, text/plain)
2015-12-22 23:02 EST, Oleg R. Dubovko
no flags Details
File: var_log_messages (241 bytes, text/plain)
2015-12-22 23:02 EST, Oleg R. Dubovko
no flags Details
File: exploitable (168 bytes, application/octet-stream)
2015-12-22 23:02 EST, Oleg R. Dubovko
no flags Details

  None (edit)
Description Oleg R. Dubovko 2015-12-22 23:02:12 EST
Version-Release number of selected component:
remmina-1.2.0-0.8.git.b3237e8.fc23

Additional info:
reporter:       libreport-2.6.3
backtrace_rating: 4
cmdline:        remmina
crash_function: g_type_check_instance_cast
executable:     /usr/bin/remmina
global_pid:     4399
kernel:         4.2.6-301.fc23.x86_64
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (7 frames)
 #0 g_type_check_instance_cast at gtype.c:4059
 #1 rf_queue_ui at /usr/src/debug/Remmina-b3237e832df87bffc176c4f4024000b3d2d776cf/remmina-plugins/rdp/rdp_plugin.c:119
 #2 remmina_rdp_cliprdr_monitor_ready at /usr/src/debug/Remmina-b3237e832df87bffc176c4f4024000b3d2d776cf/remmina-plugins/rdp/rdp_cliprdr.c:324
 #3 cliprdr_process_monitor_ready at /usr/src/debug/FreeRDP-24a752a70840f3e4b027ba7c020af71f2bcfd94a/channels/cliprdr/client/cliprdr_main.c:217
 #4 cliprdr_order_recv at /usr/src/debug/FreeRDP-24a752a70840f3e4b027ba7c020af71f2bcfd94a/channels/cliprdr/client/cliprdr_main.c:359
 #5 cliprdr_virtual_channel_client_thread at /usr/src/debug/FreeRDP-24a752a70840f3e4b027ba7c020af71f2bcfd94a/channels/cliprdr/client/cliprdr_main.c:778
 #6 thread_launcher at /usr/src/debug/FreeRDP-24a752a70840f3e4b027ba7c020af71f2bcfd94a/winpr/libwinpr/thread/thread.c:257
Comment 1 Oleg R. Dubovko 2015-12-22 23:02:18 EST
Created attachment 1108800 [details]
File: backtrace
Comment 2 Oleg R. Dubovko 2015-12-22 23:02:19 EST
Created attachment 1108802 [details]
File: cgroup
Comment 3 Oleg R. Dubovko 2015-12-22 23:02:21 EST
Created attachment 1108804 [details]
File: core_backtrace
Comment 4 Oleg R. Dubovko 2015-12-22 23:02:23 EST
Created attachment 1108805 [details]
File: dso_list
Comment 5 Oleg R. Dubovko 2015-12-22 23:02:24 EST
Created attachment 1108806 [details]
File: environ
Comment 6 Oleg R. Dubovko 2015-12-22 23:02:26 EST
Created attachment 1108808 [details]
File: limits
Comment 7 Oleg R. Dubovko 2015-12-22 23:02:28 EST
Created attachment 1108811 [details]
File: maps
Comment 8 Oleg R. Dubovko 2015-12-22 23:02:30 EST
Created attachment 1108812 [details]
File: mountinfo
Comment 9 Oleg R. Dubovko 2015-12-22 23:02:31 EST
Created attachment 1108814 [details]
File: namespaces
Comment 10 Oleg R. Dubovko 2015-12-22 23:02:33 EST
Created attachment 1108816 [details]
File: open_fds
Comment 11 Oleg R. Dubovko 2015-12-22 23:02:34 EST
Created attachment 1108818 [details]
File: proc_pid_status
Comment 12 Oleg R. Dubovko 2015-12-22 23:02:36 EST
Created attachment 1108820 [details]
File: var_log_messages
Comment 13 Oleg R. Dubovko 2015-12-22 23:02:37 EST
Created attachment 1108822 [details]
File: exploitable
Comment 14 Pavel Alexeev 2016-01-05 16:20:59 EST
Thank you very much for the bugreport and willing free software better.

Unfortunately most of such problems known issues. But I can't update remmina in stable Fedora branches. Details you may read in description of that copr repo https://copr.fedoraproject.org/coprs/hubbitus/remmina-next/ . It also contains fresh versions of rfeerdp and remmina. I strongly recommend you try it. You may also try install packages from rawhide (may have unstable dependencies).

If packages in copr also does not solve you problem - please leave comments and reopen issue.

Also it is required to provide steps to reproduce problem.

Note You need to log in before you can comment on or make changes to this bug.